using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace Example_4_1
{
  public partial class frmSQLTester : Form
  {
    public frmSQLTester()
    {
      InitializeComponent();
    }

    OleDbConnection booksConnection;

    private void frmSQLTester_Load(object sender, EventArgs e)
    {
      // connect to books database
      booksConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source = c:\\VCS2005DB\\Working\\books.mdb");
      booksConnection.Open();
    }

    private void frmSQLTester_FormClosing(object sender, FormClosingEventArgs e)
    {
      booksConnection.Close();
      booksConnection.Dispose();
    }

    private void btnTest_Click(object sender, EventArgs e)
    {
      OleDbCommand resultsCommand = null;
      OleDbDataAdapter resultsAdapter = new OleDbDataAdapter();
      DataTable resultsTable = new DataTable();
      try
      {
        // establish command object and data adapter
        resultsCommand = new OleDbCommand(txtSQLTester.Text, booksConnection);
        resultsAdapter.SelectCommand = resultsCommand;
        resultsAdapter.Fill(resultsTable);
        // bind grid view to data table
        grdSQLTester.DataSource = resultsTable;
        lblRecords.Text = resultsTable.Rows.Count.ToString();
      }
      catch (Exception ex)
      {
        MessageBox.Show(ex.Message, "Error in Processing SQL", MessageBoxButtons.OK, MessageBoxIcon.Error);
      }
      resultsCommand.Dispose();
      resultsAdapter.Dispose();
      resultsTable.Dispose();
    }
  }
}